<script>
	import Checkbox from "@/components/Form/Checkbox.svelte"

	import { onMount } from "svelte"

	import { isLight } from "@/stores/static"
	import { page } from "$app/stores"
	import { afterNavigate } from "$app/navigation"
	
	export let value = {}

	$: slug = $page.params.slug
	$: types = $page.data.types

	const checkValues = () => {
		let exist = !!types.find(({ url }) => url === slug)
		if (exist) {
			value[slug] = true
			return
		}

		const selected = new URLSearchParams($page.url.searchParams.toString()).get("types")?.split(",") || []
		
		value = {}
		for (let type of selected) { value[type] = true }
	}

	onMount(checkValues)
	afterNavigate(checkValues)
</script>

<template lang="pug">
.list
	+each('types as type, i')
		.list-item: Checkbox( bind:value='{value[type.url]}' style!='{$isLight ? "dark" : "light"}' ) {type.name}
</template>

<style lang="scss"></style>